<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.tasklet.WaitForCall&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.t.WaitForCall(<a href="kiwi.tasklet.WaitCondition.html">WaitCondition</a>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.tasklet.html">tasklet</a></span>
      
      <a href="classIndex.html#kiwi.tasklet.WaitForCall">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div><p>An object that waits until it is called.</p>
This example demonstrates how a tasklet waits for a callback:
<pre class="literalblock">
 import gobject
 from kiwi import tasklet

 mainloop = gobject.MainLoop()

 def my_task():
     callback = tasklet.WaitForCall()
     gobject.timeout_add(1000, callback)
     yield callback
     mainloop.quit()

 tasklet.run(my_task())
 mainloop.run()
</pre>
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Instance Variables</td><td class="fieldArg">return_value</td><td>value to return when called
</td></tr></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id385">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.tasklet.WaitForCall.html#__init__">__init__</a></td>
    <td><span>Creates a wait condition that is actually a callable object, and waits 
for a call to be made on it.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.tasklet.WaitForCall.html#arm">arm</a></td>
    <td><span>Overrides WaitCondition.arm
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.tasklet.WaitForCall.html#disarm">disarm</a></td>
    <td><span>Overrides WaitCondition.disarm
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.tasklet.WaitForCall.html#__call__">__call__</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.tasklet.WaitForCall.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self, return_value=None):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.tasklet.WaitCondition.html#__init__">kiwi.tasklet.WaitCondition.__init__</a></div>
          <div>Creates a wait condition that is actually a callable object, and waits 
for a call to be made on it.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">return_value</td><td>value to return when called; can also be modified dynamically from the 
tasklet as the <code>return_value</code> instance variable.
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.tasklet.WaitForCall.arm"></a>
        <a name="arm"></a>
        <div class="functionHeader">
        
        def arm(self, tasklet):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.tasklet.WaitCondition.html#arm">kiwi.tasklet.WaitCondition.arm</a></div>
          <div>Overrides WaitCondition.arm
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.tasklet.WaitForCall.disarm"></a>
        <a name="disarm"></a>
        <div class="functionHeader">
        
        def disarm(self):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.tasklet.WaitCondition.html#disarm">kiwi.tasklet.WaitCondition.disarm</a></div>
          <div>Overrides WaitCondition.disarm
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.tasklet.WaitForCall.__call__"></a>
        <a name="__call__"></a>
        <div class="functionHeader">
        
        def __call__(self, *args, **kwargs):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>